Project

General

Profile

Bug #8559

SignatureV4 authentication needed for eu-central-1 region

Added by Cristian Sava over 5 years ago. Updated about 2 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
Compute resources - EC2
Target version:
Difficulty:
Triaged:
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:

Description

Following up on the thread i posted earlier your patch solved one issue but not all issues with the error.
I've spoken with aws support and it seems that the new error i get is due to the fact that eu-central-1 uses
a new SignatureV4 method and foreman doesn't know it yet.

Here is error i get now :

Warning!
AuthFailure => AWS was not able to validate the provided access credentials

Here is the aws help i got :

The eu-central-1 region support on the SignatureV4 method, you need to update your SDK/CLI to the latest version.

Here you can find our documentation on the new Frankfurt region and the signature:
http://aws.amazon.com/blogs/aws/aws-region-germany/
http://docs.aws.amazon.com/general/latest/gr/signature-version-4.html

Here for you convenience you can find the links to the SDKs and CLI Tool:
http://aws.amazon.com/tools/
http://docs.aws.amazon.com/cli/latest/userguide/cli-chap-getting-set-up.html


Related issues

Related to Foreman - Bug #8429: Unknown region: "eu-central-1"Closed2014-11-18
Blocked by Foreman - Refactor #8641: Update fog version to 1.27.xClosed2014-12-10

History

#1 Updated by Dominic Cleal over 5 years ago

  • Related to Bug #8429: Unknown region: "eu-central-1" added

#2 Updated by Dominic Cleal over 5 years ago

  • Subject changed from Unknown region: "eu-central-1" to SignatureV4 authentication needed for eu-central-1 region

#3 Updated by Tom Caspy over 5 years ago

should be solved by updating to newer version of the fog gem, there's a ticket for that. does this occur on 1.7.0 as well?

#4 Updated by Dominic Cleal over 5 years ago

#5 Updated by Dominic Cleal over 5 years ago

  • Status changed from New to Closed
  • Legacy Backlogs Release (now unused) set to 28

This should have been fixed by a full update to fog 1.25.0, which will be in Foreman 1.8 and current nightlies.

Also available in: Atom PDF